"
 COPYRIGHT (c) 2006 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"

"{ Package: 'stx:libbasic3' }"

LibraryDefinition subclass:#stx_libbasic3
	instanceVariableNames:''
	classVariableNames:''
	poolDictionaries:''
	category:'* Projects *'
!

!stx_libbasic3 class methodsFor:'documentation'!

copyright
"
 COPYRIGHT (c) 2006 by eXept Software AG
              All Rights Reserved

 This software is furnished under a license and may be used
 only in accordance with the terms of that license and with the
 inclusion of the above copyright notice.   This software may not
 be provided or otherwise made available to, or used by, any
 other person.  No title to or ownership of the software is
 hereby transferred.
"
!

documentation
"
    Build-Information for creation of the st/x standard library: stx_libbasic3.
    This library contains source-code-management, packaging and history related stuff.
"
! !

!stx_libbasic3 class methodsFor:'description'!

classNamesAndAttributes
    ^ #(
	"/ <className> or (<className> attributes...)
	'AbstractSourceCodeManager'
	'ApplicationDefinition'
	'CVSSourceCodeManager'
	'CallChain'
	'Change'
	'ChangeSet'
	'ClassCategoryChange'
	'ClassChange'
	'ClassClassVariableChange'
	'ClassCommentChange'
	'ClassDefinitionChange'
	'ClassInstVarDefinitionChange'
	'ClassOrganizer'
	'ClassOtherChange'
	'ClassPrimitiveChange'
	'ClassPrimitiveDefinitionsChange'
	'ClassPrimitiveFunctionsChange'
	'ClassPrimitiveVariablesChange'
	'ClassRemoveChange'
	'ClassRenameChange'
	'DoItChange'
	'FlatDirectorySourceCodeManager'
	'HTMLDocGenerator'
	'HierarchicalDirectorySourceCodeManager'
	'HistoryManager'
	'LibraryDefinition'
	'MessageTally'
	'MessageTracer'
	'MethodCategoryChange'
	'MethodCategoryRenameChange'
	'MethodChange'
	'MethodDefinitionChange'
	'MethodFinder'
	'MethodPrivacyChange'
	'MethodRemoveChange'
	'NameSpaceCreationChange'
	'NonVersioningSourceCodeManager'
	'OtherChange'
	'PackageId'
	'ProfileTree'
	'ProjectDefinition'
	'RCSSourceCodeManager'
	'SourceCodeManagerError'
	'SourceCodeManagerUtilities'
	'StoreSourceCodeManager'
	'SystemOrganizer'
	'TimestampChange'
	'WrappedMethod'
	'stx_libbasic3'
    )
!

extensionMethodNames
    ^ #(
    )
! !

!stx_libbasic3 class methodsFor:'description - project information'!

companyName
    "Return a companyname which will appear in <lib>.rc"

    ^ 'eXept Software AG'
!

description
    "Return a description string which will appear in nt.def / bc.def"

    ^ 'Smalltalk/X Basic classes 3'
!

fileDescription
    "Return a description string which will appear in <lib>.rc"

    ^ 'Smalltalk/X Additional Developer Basic Class Library'

    "Modified: / 18-08-2006 / 13:18:10 / cg"
!

legalCopyright
    "Return copyright string which will appear in <lib>.rc"

    ^ 'Copyright Claus Gittinger 1988-2006\nCopyright eXept Software AG 1998-2006'

    "Modified: / 22-08-2006 / 23:26:19 / cg"
!

productName
    "Return a product name which will appear in <lib>.rc"

    ^ 'Smalltalk/X'
! !

!stx_libbasic3 class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/libbasic3/stx_libbasic3.st,v 1.9 2006-08-22 21:28:35 cg Exp $'
! !
